package com.adealink.weparty.room.manager

import com.adealink.frame.base.Rlt
import com.adealink.frame.frame.IBaseFrame
import com.adealink.weparty.module.room.data.MyRoomInfo
import com.adealink.weparty.module.room.listener.IRoomListener
import com.adealink.weparty.room.data.CreateRoomReq

interface IRoomManager : IBaseFrame<IRoomListener> {

    fun getLocalMyRoomInfo(): MyRoomInfo?

    suspend fun getMyRoomInfo(): Rlt<MyRoomInfo>

    fun checkRoomPermission()

    suspend fun createRoom(req: CreateRoomReq): Rlt<String>
}